package com.usky.dxtop.model;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2022-08-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DreOrderDetail implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 订单编号
     */
    private Long orderId;

    /**
     * 名称
     */
    private String mName;

    /**
     * 单价
     */
    private BigDecimal mPrice;

    /**
     * 总金额
     */
    private BigDecimal totalPrice;

    /**
     * 数量
     */
    private Integer mCount;



}
