package com.usky.dxtop.service.emun;

/**
 * @author yq
 * @date 2022/8/14 14:06
 */
public enum DreOrderStatus {

    HAVE(0,"已接单"),

    FOOD(1,"配菜中"),

    SEND(2,"送餐中"),

    COMPLETE(3,"已完成");

    private Integer code;

    private String name;

    DreOrderStatus(Integer code,String name){
        this.code = code;
        this.name = name;
    }

    public static DreOrderStatus parse(Integer code){
        DreOrderStatus dreOrderStatus = null;
        for (DreOrderStatus o:DreOrderStatus.values()) {
            if (o.getCode().equals(code)){
                dreOrderStatus = o;
                break;
            }
        }
        return dreOrderStatus;
    }


    public Integer getCode(){
        return code;
    }

    public String getName(){
        return name;
    }
}
