package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yq
 * @date 2022/8/14 13:59
 */
@Data
public class DreOrderExport {


    /**
     * 订单编号
     */
    @Excel(name = "订单编号", height = 6, width = 20)
    private String orderNumber;

    /**
     * 下单人
     */
    @Excel(name = "下单人", height = 6, width = 20)
    private String orderUserName;

    /**
     * 下单时间
     */
    @Excel(name = "下单时间", height = 6, width = 20)
    private Date orderTime;

    /**
     * 点餐人联系电话
     */
    @Excel(name = "点餐人联系电话", height = 6, width = 20)
    private String phone;

    /**
     * 订单地址
     */
    @Excel(name = "订单地址", height = 6, width = 20)
    private String address;

    /**
     * 总金额
     */
    @Excel(name = "总金额", height = 6, width = 20)
    private BigDecimal totalMoney;

    /**
     * 订单状态
     */
    @Excel(name = "订单状态", height = 6, width = 20)
    private String orderStatus;

    /**
     * 餐别
     */
    @Excel(name = "餐别", height = 6, width = 20)
    private String mType;

    /**
     * 接单人
     */
    @Excel(name = "接单人", height = 6, width = 20)
    private String receiveUserName;

    /**
     * 接单时间
     */
    @Excel(name = "接单时间", height = 6, width = 20)
    private Date receiveTime;

    /**
     * 送单人
     */
    @Excel(name = "送单人", height = 6, width = 20)
    private String sendUserName;

    /**
     * 送单时间
     */
    @Excel(name = "送单时间", height = 6, width = 20)
    private Date sendTime;

    /**
     * 完成时间
     */
    @Excel(name = "完成时间", height = 6, width = 20)
    private Date sendEndTime;

    /**
     * 备注
     */
    @Excel(name = "备注", height = 6, width = 20)
    private String remark;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", height = 6, width = 20)
    private Date createTime;

    /**
     * 创建人
     */
    @Excel(name = "创建人", height = 6, width = 20)
    private String createBy;

    /**
     * 修改时间
     */
    @Excel(name = "修改时间", height = 6, width = 20)
    private Date updateTime;

    /**
     * 修改人
     */
    @Excel(name = "修改人", height = 6, width = 20)
    private String updateBy;
}
