package com.usky.dxtop.service.vo;

import lombok.Data;

import java.time.LocalTime;
import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2022/6/27 17:30
 */
@Data
public class ProductInfoRequest {

    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;
    /**
     * 开始时间
     */
    private LocalTime startTime;
    /**
     * 结束时间
     */
    private LocalTime endTime;
    /**
     * 是否有效
     */
    private Boolean status;
    /**
     * 名称
     */
    private String name;
    /**
     * 商品类型编号
     */
    private Long produceTypeId;
    /**
     * 周期
     */
    private List<String> cys;


}
